package il.ac.tau.cs.sw1.addressbook.model;

import java.io.Serializable;

/**
 * Represents a person's contact information
 */
public class Contact implements Serializable {

	/**
	 * Generated version identifier (for serialization)
	 */
	private static final long serialVersionUID = 14165180736110370L;
	
	private final String name;
	private String email, phone;
	private Address address;

	/**
	 * Creates a new contact object for the specified person
	 * 
	 * @param name
	 *            - the name of the person (e.g. "Smith, John")
	 */
	public Contact(String name) {
		this.name = name;
	}

	/**
	 * Get the name
	 * 
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Get the email
	 * 
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}

	/**
	 * Set the email
	 * 
	 * @param email
	 *            the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Get the phone
	 * 
	 * @return the phone
	 */
	public String getPhone() {
		return phone;
	}

	/**
	 * Set the phone
	 * 
	 * @param phone
	 *            the phone to set
	 */
	public void setPhone(String phone) {
		this.phone = phone;
	}

	/**
	 * Get the address
	 * 
	 * @return the address
	 */
	public Address getAddress() {
		return address;
	}

	/**
	 * Set the address
	 * 
	 * @param address
	 *            the address to set
	 */
	public void setAddress(Address address) {
		this.address = address;
	}

}
